Bug 1857128 - Import by digest doesn't work for manifest lists
Summary: Import by digest doesn't work for manifest lists
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.5.z
Assignee: Ricardo Maraschini
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On: 1751258
Blocks: 1882364
TreeView+ depends on / blocked
 
Reported: 2020-07-15 08:13 UTC by Ricardo Maraschini
Modified: 2020-09-24 12:07 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Bad managing on conversion from manifest list to manifest Consequence: Imports using digests on manifest lists were not taking place. Fix: We fixed the conversion by using the digest of the selected manifest inside the manifest list. Result: Imports by digest of manifest lists now works as expected.
Clone Of: 1751258
Environment:
Last Closed: 2020-08-10 13:50:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift openshift-apiserver pull 123 None closed Bug 1857128: Using manifest digest on manifest list import 2020-09-24 03:31:43 UTC
Red Hat Product Errata RHBA-2020:3188 None None None 2020-08-10 13:50:44 UTC

Comment 4 XiuJuan Wang 2020-08-04 06:10:11 UTC
Verified on below version:
$oc version 
Client Version: 4.5.0-0.nightly-2020-08-03-123303
Server Version: 4.5.0-0.nightly-2020-08-03-123303
Kubernetes Version: v1.18.3+08c38ef

$oc tag docker.io/library/ubuntu@sha256:d1d454df0f579c6be4d8161d227462d69e163a8ff9d20a847533989cf0c94d90 ubuntu:latest
Tag ubuntu:latest set to docker.io/library/ubuntu@sha256:d1d454df0f579c6be4d8161d227462d69e163a8ff9d20a847533989cf0c94d90.

$oc describe is  ubuntu
Name:			ubuntu
Namespace:		xiuwang
Created:		About a minute ago
Labels:			<none>
Annotations:		openshift.io/image.dockerRepositoryCheck=2020-08-04T06:03:17Z
Image Repository:	image-registry.openshift-image-registry.svc:5000/xiuwang/ubuntu
Image Lookup:		local=false
Unique Images:		1
Tags:			2

latest
  tagged from docker.io/library/ubuntu@sha256:d1d454df0f579c6be4d8161d227462d69e163a8ff9d20a847533989cf0c94d90

  * docker.io/library/ubuntu@sha256:ca013ac5c09f9a9f6db8370c1b759a29fe997d64d6591e9a75b71748858f7da0
      About a minute ago

Comment 6 errata-xmlrpc 2020-08-10 13:50:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.5 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3188


Note You need to log in before you can comment on or make changes to this bug.